AAAREADME.first   [plain text]


amavisd-new
===========

  http://www.ijs.si/software/amavisd/

amavisd-new is an interface between message transfer agent (MTA)
and one or more content checkers: virus scanners, and/or
SpamAssassin ( http://www.spamassassin.org/ ).

amavisd-new is a performance-enhanced and feature-enriched version of
amavisd (which in turn is a daemonized version of AMaViS or amavis-perl).

It is normally positioned at or near a central mailer, not necessarily
where user's mailboxes and final delivery takes place. If you are
looking for fully per-user configurable and/or low-message-rate solution
to be placed at the final stage of mail delivery (e.g. called from procmail),
there may be other solutions more appropriate for your needs.

amavisd-new benefits from the use of Perl module Net::Server, which
offers a fast pre-forked multi-child environment. Several new features
are offered, including SMTP-relay capability. This makes it suitable
for mail anti-virus and/or anti-spam checking on a busy mail gateways.

All the modifications since the original amavisd done by Mark Martinec,
with contribution of ideas, reports and patches from amavis-user
mailing list community.

See RELEASE_NOTES, INSTALL, and files in the README_FILES/* subdirectory,
at least the one pertaining to your MTA (Postfix, Sendmail/milter, Exim).
If running a dual-MTA setup (any MTA type), the files README.postfix,
README.sendmail-dual and README.exim_v4 describe a similar setup and
can be used as guidelines. There may be more recent versions of these
files at the web site http://www.ijs.si/software/amavisd/, along with FAQ.

There is also a more detailed documentation on selected topics
(a work in progress), the most recent version is at:
  http://www.ijs.si/software/amavisd/amavisd-new-docs.html

The two programs in the subdirectory helper-progs/ are only needed for
interfacing with sendmail (with milter or with the old setup, but not for
the README.sendmail-dual setup), or with older Exim (v3). Helper programs
are not needed if using Postfix or Exim v4 or dual-MTA setup.